Package org.eclipse.rdf4j.query.resultio.sparqljson

## Class SPARQLResultsJSONParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser
    - - org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLResultsJSONParser

- All Implemented Interfaces:
    `QueryResultParser`, `TupleQueryResultParser`
  Direct Known Subclasses:
    `SPARQLStarResultsJSONParser`

      public class SPARQLResultsJSONParser
      extends AbstractSPARQLJSONParser
      implements TupleQueryResultParser

  Parser for SPARQL-1.1 JSON Results Format documents.
  Author:
    Peter Ansell
  See Also:
    SPARQL 1.1 Query Results JSON Format

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `BINDINGS, BNODE, BOOLEAN, DATATYPE, HEAD, LINK, LITERAL, RESULTS, TYPE, TYPED_LITERAL, URI, VALUE, VARS, XMLLANG`

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLResultsJSONParser()` | Default constructor.
    `SPARQLResultsJSONParser​(ValueFactory valueFactory)` | Construct a parser with a specific `ValueFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `checkTripleType​(com.fasterxml.jackson.core.JsonParser jp, String type)` |
    `QueryResultFormat` | `getQueryResultFormat()` | Gets the query result format that this parser can parse.
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` | Gets the query result format that this parser can parse.
    `void` | `parse​(InputStream in)` | Deprecated.
    `protected Triple` | `parseTripleValue​(com.fasterxml.jackson.core.JsonParser jp, String fieldName)` |
    `void` | `setTupleQueryResultHandler​(TupleQueryResultHandler handler)` | Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `getSupportedSettings, parseQueryResult, parseQueryResultInternal, parseValue`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLResultsJSONParser

          public SPARQLResultsJSONParser()

      Default constructor.

    - #### SPARQLResultsJSONParser

          public SPARQLResultsJSONParser​(ValueFactory valueFactory)

      Construct a parser with a specific `ValueFactory`.
      Parameters:
        `valueFactory` - The factory to use to create values.

  - ### Method Detail

    - #### getQueryResultFormat

          public QueryResultFormat getQueryResultFormat()

      Description copied from interface: `QueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getQueryResultFormat` in interface `QueryResultParser`
      Returns:
        The `QueryResultFormat` supported by this parser.

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultParser`

    - #### setTupleQueryResultHandler

          @Deprecated
          public void setTupleQueryResultHandler​(TupleQueryResultHandler handler)

      Deprecated.
      Description copied from interface: `TupleQueryResultParser`
      Sets the TupleQueryResultHandler that will handle the parsed query result data.
      Specified by:
        `setTupleQueryResultHandler` in interface `TupleQueryResultParser`

    - #### parse

          @Deprecated
          public void parse​(InputStream in)
                     throws IOException,
                            QueryResultParseException,
                            TupleQueryResultHandlerException

      Deprecated.
      Description copied from interface: `TupleQueryResultParser`
      Parses the data from the supplied InputStream.
      Specified by:
        `parse` in interface `TupleQueryResultParser`
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.
        `TupleQueryResultHandlerException` - If the configured query result handler has encountered an unrecoverable error.

    - #### parseTripleValue

          protected Triple parseTripleValue​(com.fasterxml.jackson.core.JsonParser jp,
                                            String fieldName)
                                     throws IOException

      Overrides:
        `parseTripleValue` in class `AbstractSPARQLJSONParser`
      Throws:
        `IOException`

    - #### checkTripleType

          protected boolean checkTripleType​(com.fasterxml.jackson.core.JsonParser jp,
                                            String type)

      Overrides:
        `checkTripleType` in class `AbstractSPARQLJSONParser`